<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/white">

    <ImageView
        android:id="@+id/iv_photo"
        android:layout_width="30dp"
        android:layout_height="30dp"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="10dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_nick"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="4dp"
        android:textColor="@color/text_1e81d1_color"
        android:textSize="12sp"
        app:layout_constraintLeft_toRightOf="@id/iv_photo"
        app:layout_constraintTop_toTopOf="@id/iv_photo" />

    <TextView
        android:id="@+id/user_tag"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="3dp"
        android:background="@drawable/shape_red_corners_10"
        android:paddingLeft="4dp"
        android:paddingTop="1dp"
        android:paddingRight="4dp"
        android:paddingBottom="1dp"
        android:textColor="@color/white"
        android:textSize="10sp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/tv_nick"
        app:layout_constraintLeft_toRightOf="@id/tv_nick"
        app:layout_constraintTop_toTopOf="@id/tv_nick" />

    <TextView
        android:id="@+id/tv_time"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginLeft="4dp"
        android:textColor="@color/black_99_color"
        android:textSize="10sp"
        app:layout_constraintLeft_toRightOf="@id/iv_photo"
        app:layout_constraintTop_toBottomOf="@id/tv_nick" />

    <TextView
        android:id="@+id/setTop"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginRight="20dp"
        android:background="@drawable/circle_top_bg_shape"
        android:paddingLeft="8dp"
        android:paddingTop="3dp"
        android:paddingRight="8dp"
        android:paddingBottom="3dp"
        android:text="置顶"
        android:textColor="@color/text_1e81d1_color"
        android:textSize="12sp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/iv_photo"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="@id/iv_photo" />

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="6dp"
        android:layout_marginRight="16dp"
        android:textColor="@color/black_33_color"
        android:textSize="14sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/iv_photo"
        tools:text="如何看待大学里为了奖学金报验作弊的人如何看待大学里为了奖学金报验作弊的人" />

    <TextView
        android:id="@+id/tv_desc"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="16dp"
        android:layout_marginTop="6dp"
        android:layout_marginRight="16dp"
        android:maxLines="2"
        android:textColor="@color/black_66_color"
        android:textSize="12sp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_title"
        tools:text="如何看待大学里为了奖学金报验作弊的人如何看待大学里为了奖学金报验作弊的人如何看待大学里为了奖学金报验作弊的人如何看待大学里为了奖学金报验作弊的人" />

    <android.support.v7.widget.RecyclerView
        android:id="@+id/rv_image"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="10dp"
        android:layout_marginRight="10dp"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_desc" />

    <TextView
        android:id="@+id/tv_comment_count"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="5dp"
        android:layout_marginRight="14dp"
        android:layout_marginBottom="14dp"
        android:drawableLeft="@mipmap/ic_comment"
        android:drawablePadding="5dp"
        android:gravity="center_vertical"
        android:textColor="@color/black_66_color"
        android:textSize="12sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/rv_image"
        tools:text="45" />
</android.support.constraint.ConstraintLayout>